> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/namespaces-describe.md).

# namespaces describe

## Synopsis

```shell
omics workbench namespaces describe [NAMESPACE_ID...]
```

## Description

Get details for one or more namespaces, fetching all available information for each namespace and printing the results to the console. This includes the namespace name, description, creation and update timestamps, and the users who created or last updated the namespace.

## Examples

Describe a single namespace

```shell
omics workbench namespaces describe bcd869ca-8a06-4426-a94d-43f9d91e937d
```

Describe multiple namespaces

```shell
omics workbench namespaces describe namespace-id-1 namespace-id-2
```

## Positional Arguments

### `NAMESPACE_ID`

The specific namespace ID to retrieve information for. The namespace ID can be retrieved from the [namespaces list](/products/command-line-interface/reference/workbench/namespaces-list.md) command. Specifying multiple namespace IDs will result in retrieving all namespaces requested.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/namespaces-describe.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
